Bug 374591 - pirut can't change from mirrorlist to baseurl
pirut can't change from mirrorlist to baseurl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 08:15 EST by Bohan
Modified: 2008-05-28 15:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohan 2007-11-10 08:15:31 EST
Description of problem:

When editing repositories in pirut, selecting the baseurl option instead of the
mirrorlist causes settings not to stick 

Version-Release number of selected component (if applicable):

1.3.25-2

How reproducible:

Always

Steps to Reproduce:
1. Start pirut
2. Click Edit -> Repositories
3. Select fedora, then click Edit
4. Try changing from Mirror List to Location -> settings don't stick, stays in
Mirror List
  
Actual results:

Not able to change between Location (baseurl) and Mirror List

Expected results:

Changes persist

Additional info:
Comment 1 Jeremy Katz 2007-11-12 11:11:19 EST
Tim -- can I tell iniparse to set a value in a config file and have it commented
out rather than enabled?  If not, then I guess we'll have to lose the
information if you switch which seems unfortunate.
Comment 2 Tim Lauridsen 2007-11-13 06:37:03 EST
No, not at the moment, I have asked the upstream author about some features to
comment in/out options, he have agreed it is a good idea, but he have been to
busy to implement yet, but it will be there some day.

It is a very needed feature when working with .repo files

mirrorlist=/url/to/mirrorlist.
#baseurl=/url/to/repo
Comment 3 Tim Lauridsen 2007-11-13 07:47:36 EST
Link to upstream issue tracker
http://code.google.com/p/iniparse/issues/detail?id=5
Comment 4 Jesse Keating 2008-03-31 14:03:44 EDT
Given that we're using PackageKit for Fedora 9, I'm dropping this from the
blocker list.
Comment 5 Jeremy Katz 2008-05-28 15:15:53 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.